package com.jeeplus.psimanage.foodPurchase.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.psimanage.foodPurchase.domain.PsiFoodPurchaseChangeDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PsiFoodPurchaseChangeDetailMapper extends BaseMapper<PsiFoodPurchaseChangeDetail> {

    List<PsiFoodPurchaseChangeDetail> getByChangeId(String changeId);

    List<String> getIdByChangeId(String changeId);

    void deleteByChangeId(@Param("changeId") String changeId);
}
